HCC Docs

Agents

List AI agents

GET /v1/agents agents:read

Agents come from your connected AI-agent platforms (synced, read-only); manage them there.

Query

  • limit integer
  • cursor string
  • includeRemoved "true" | "false"

    Include agents that no longer exist in their provider

Responses

  • 200

    A page of AI agents

    Fields
    • data Agent[] required
      Fields
      • id string required
      • provider string required

        Id of the voice-AI integration provider

      • providerAgentId string required

        The agent's id in the provider

      • name string required
      • enabled boolean required

        Only enabled, non-removed agents are routable

      • removed boolean required

        The agent no longer exists in the provider

      • metadata object required
      • syncedAt string | null required
    • nextCursor string | null required
  • 400

    Invalid request

  • 401

    Missing or invalid API key

  • 404

    Not found

  • 429

    rate_limited, or another limit named by error.code

Get an AI agent

GET /v1/agents/{id} agents:read

Path

  • id string required

Responses

  • 200

    AI agent

    Fields
    • data Agent required

      A read-only mirror of an agent in one of your connected AI-agent platforms. Manage agents there.

      Fields
      • id string required
      • provider string required

        Id of the voice-AI integration provider

      • providerAgentId string required

        The agent's id in the provider

      • name string required
      • enabled boolean required

        Only enabled, non-removed agents are routable

      • removed boolean required

        The agent no longer exists in the provider

      • metadata object required
      • syncedAt string | null required
  • 400

    Invalid request

  • 401

    Missing or invalid API key

  • 404

    Not found

  • 429

    rate_limited, or another limit named by error.code